Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235974 - sendmail complains that /usr/lib/mailman is group-writeable
Summary: sendmail complains that /usr/lib/mailman is group-writeable
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mailman
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Smetana
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 06:45 UTC by Jonathan Kamens
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-14 12:41:29 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2007-04-11 06:45:38 UTC
With mailman-2.1.9-5 and sendmail-8.14.0-1, sendmail complains repeatedly:

Apr 11 02:40:02  jik2 sendmail[6384]: l3B6e12X006372: forward
/usr/lib/mailman/.forward.jik2: Group writable directory
Apr 11 02:40:02  jik2 sendmail[6384]: l3B6e12X006372: forward
/usr/lib/mailman/.forward: Group writable directory

If /usr/lib/mailman is going to be the home directory for the mailman user, then
I don't think it should be group-writeable.

Comment 1 Tomas Smetana 2007-06-14 12:41:29 UTC
This may affect other MTA's like qmail and the warnings may be turned off in
sendmail configuration. I understand that it may be considered as unsafe, but
the Mailman is designed like this. The documentation explicitly states that its
home must be group-writable.

If it's OK with your configuration you may remove the group-writable permission,
but I'm afraid it may not work in general.


Note You need to log in before you can comment on or make changes to this bug.